Loading...
Searching...
No Matches
osmo_gad_ell_point_alt Struct Reference
3GPP TS 23.032 GAD: Universal Geographical Area Description.

`#include <gad.h>`

## Data Fields

int32_t | lat
| latitude in micro degrees (degrees * 1e6), -90'000'000 (S) .
int32_t | lon
| longitude in micro degrees (degrees * 1e6), -180'000'000 (W) .
int16_t | alt
| Altitude in meters, -32767 (depth) .

## Field Documentation

## alt

int16_t osmo_gad_ell_point_alt::alt

Altitude in meters, -32767 (depth) .

. 32767 (height)

## lat

int32_t osmo_gad_ell_point_alt::lat

latitude in micro degrees (degrees * 1e6), -90'000'000 (S) .

. 90'000'000 (N).

## lon

int32_t osmo_gad_ell_point_alt::lon

longitude in micro degrees (degrees * 1e6), -180'000'000 (W) .

. 180'000'000 (E).

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gad.h